%define name	km
%define version	0.3
%define cvs	20030909
%define release 0.%cvs.6mdk
%define moddir	/lib/modules
%define kvers	2.4.22-10mdk
#%define buildver `rpm -q kernel-source | sed 's/kernel-source/linux/'`
%define miscmoddir %{moddir}/%{kvers}/misc

Name:	 	%{name}
Summary: 	Video capture module
Version: 	%{version}
Release: 	%{release}
Source:	 	%{name}-%{version}-cvs%{cvs}.tar.bz2
URL:	 	http://gatos.sourceforge.net
License: 	GPL
Group:	 	System/Kernel and hardware
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	kernel-source
Requires: 	drm-kernel
Requires:	kernel-2.4.22.10mdk

%description
Km is a Linux kernel module that provides Video4linux
interface to video capture capabilities of Mach64,
Rage128 and Radeon cards
USE AT YOUR OWN RISK !

This is an experimental driver.. who knows what it'll do ;)
    
%prep
%setup -n %{name}
%build
make CFLAGS='$(RPM_OPT_FLAGS)' TREE=/usr/src/linux-%kvers/include
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{miscmoddir}
install km_api.o $RPM_BUILD_ROOT/%{miscmoddir}
install km_drv.o $RPM_BUILD_ROOT/%{miscmoddir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{miscmoddir}
insmod ./km_api.o
insmod ./km_drv.o

%postun
rmmod km_api.o
rmmod km_drv.o

%files
%defattr(-,root,root)
%doc README km.rfc.txt km.actual.rfc.txt
%{moddir}/*/misc/km_api.o
%{moddir}/*/misc/km_drv.o

%changelog
* Thu Sep 18 2003 Austin Acton <aacton@yorku.ca> 0.3-0.20030909.6mdk
- require main kernel

* Thu Sep 18 2003 Austin Acton <aacton@yorku.ca> 0.3-0.20030909.5mdk
- fix kernel version for now
- new kernel

* Thu Sep 18 2003 Austin Acton <aacton@yorku.ca> 0.3-0.20030909.4mdk
- fix kernel version

* Wed Sep 17 2003 Austin Acton <aacton@yorku.ca> 0.3-0.20030909.3mdk
- rebuild for kernel

* Tue Sep 9 2003 Austin Acton <aacton@yorku.ca> 0.3-0.20030909.2mdk
- grrr, use right kernel-source

* Tue Sep 9 2003 Austin Acton <aacton@yorku.ca> 0.3-0.20030909.1mdk
- 3.0 alpha

* Tue Apr 15 2003 Austin Acton <aacton@yorku.ca> 0.2.1-0.20030327.1mdk
- from Spencer Anderson <sdander@oberon.ark.com>:
  - initial Mandrake package

